# Uses of Class
java.net.Inet6Address

Packages that use Inet6Address
Package
Description
java.net
Provides the classes for implementing networking applications.

- ## Uses of Inet6Address in java.net

  Methods in java.net that return Inet6Address
  Modifier and Type
  Method
  Description
  `static Inet6Address`
  Inet6Address.`getByAddress(String host, byte[] addr, int scope_id)`
  Create an Inet6Address in the exact manner of `InetAddress.getByAddress(String,byte[])` except that the IPv6 scope_id is set to the given numeric value.
  `static Inet6Address`
  Inet6Address.`getByAddress(String host, byte[] addr, NetworkInterface nif)`
  Create an Inet6Address in the exact manner of `InetAddress.getByAddress(String,byte[])` except that the IPv6 scope_id is set to the value corresponding to the given interface for the address type specified in `addr`.